
Redmine - Defect #6634

Zlib::DataError (incorrect header check) in Wiki history viewer

2010-10-12 11:59 - Tomasz K

Status: Closed Start date: 2010-10-12

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.0.2

Description

Database: Postgresql 9.0.1

Ruby: ruby 1.8.7 (2010-08-16 patchlevel 302) [x86_64-linux]

Rails: 2.3.8

Redmine: 1.0.2

Os: Sabayon 5.2

sys-libs/zlib-1.2.3-r1

Error message in log:

Processing WikiController#diff (for 82.160.43.194 at 2010-10-12 11:56:59) [GET]

Parameters: {"commit"=>"Pokaż różnice", "action"=>"diff", "id"=>"xx123", "page"=>"Zalozenia", "version"=>"9", "controller"=>"wiki",

"version_from"=>"1"}

Zlib::DataError (incorrect header check):

app/models/wiki_content.rb:91:in `inflate'

app/models/wiki_content.rb:91:in `text'

app/models/wiki_page.rb:160:in `initialize'

app/models/wiki_page.rb:103:in `new'

app/models/wiki_page.rb:103:in `diff'

app/controllers/wiki_controller.rb:134:in `diff'

Rendering /var/www/redmine/redmine-1.0.2/public/500.html (500 Internal Server Error)

That error shows when gzip wiki history is turned on. I tried also to turn off gzip and post new change to wiki but now history changes

shows two lines like that:

\x68312e205a6(...)0a6272616b

History

#1 - 2010-10-12 23:06 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Invalid

Fixed here http://www.redmine.org/boards/2/topics/18125?r=18127#message-18127 , it was a DB issue.
